{% extends 'base_permanencier.html' %}
{% block title %}Liste des transactions{% endblock %}
{% block content %}

    <p>Total des recettes : <strong>{{ total }} €</strong> pour <strong>{{ count }} transaction(s)</strong> effectuées
        par {{ object }}</p>

    <div class="card">
        <div class="card-header"><h5>Commandes</h5></div>
        <table class="table">
            <thead>
            <tr>
                <th scope="col">Client</th>
                <th scope="col">Commande</th>
                <th scope="col">Transaction</th>
            </tr>
            </thead>
            <tbody>
            {% for transaction in object.transactions.all %}
                <tr>
                    <td>
                        <a href="{% url 'client-edit' pk=transaction.order.client.id %}">{{ transaction.order.client }}</a>
                    </td>
                    <td><a href="{% url 'order-view' pk=transaction.order.id %}">{{ transaction.order }}</a></td>
                    <td>{{ transaction }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    <div class="card mt-3">
        <div class="card-header"><h5>Ventes par produit</h5></div>
        <table class="table">
            <thead>
            <tr>
                <th>Produit</th>
                <th>Vendus</th>
                <th>Entrée d'argent prévue (€)</th>
            </tr>
            </thead>
            <tbody>
            {% for row in comptes %}
                <tr>
                    {% for item in row %}
                        <td>{{ item }}</td>
                    {% endfor %}
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
    <a class="btn btn-secondary mt-2" href="{% url 'home' %}">Retour</a>

{% endblock %}